Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util.profiling
Class ProfilingTimerBean

    java.lang.Object
      com.opensymphony.xwork2.util.profiling.ProfilingTimerBean

All Implemented Interfaces:
  java.io.Serializable

    public class ProfilingTimerBean

extends java.lang.Object
implements java.io.Serializable

Bean to contain information about the pages profiled

Version:
  $Date: 2009-12-27 19:00:13 +0100 (Sun, 27 Dec 2009) $ $Id: ProfilingTimerBean.java 894087 2009-12-27 18:00:13Z martinc $
Author:
  Mike Cannon-Brookes, Scott Farquhar
See Also:
  Serialized Form

Constructor Summary
`ProfilingTimerBean(java.lang.String resource)`

Method Summary
`void` | `addChild(ProfilingTimerBean child)`
`protected void` | `addParent(ProfilingTimerBean parent)`
`ProfilingTimerBean` | `getParent()`
`java.lang.String` | `getPrintable(long minTime)` Get a formatted string representing all the methods that took longer than a specified time.
`protected java.lang.String` | `getPrintable(java.lang.String indent, long minTime)`
`java.lang.String` | `getResource()`
`void` | `setEndTime()`
`void` | `setStartTime()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfilingTimerBean

    public ProfilingTimerBean(java.lang.String resource)

Method Detail

### addParent

    protected void addParent(ProfilingTimerBean parent)

### getParent

    public ProfilingTimerBean getParent()

### addChild

    public void addChild(ProfilingTimerBean child)

### setStartTime

    public void setStartTime()

### setEndTime

    public void setEndTime()

### getResource

    public java.lang.String getResource()

### getPrintable

    public java.lang.String getPrintable(long minTime)

  Get a formatted string representing all the methods that took longer than a specified time.

### getPrintable

    protected java.lang.String getPrintable(java.lang.String indent,
                                            long minTime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.